index

Varkon MBS Programmers manual

# fpos - Function

## Description

Returns the current filepointer position within a file as the offset in bytes from the start. If the current position is the end of the file (EOF) -1 is returned.

## Syntax

      i:=fpos(f);

      int  i;
      file f;

## Principal parameters

f | - The name of a filevariable associated with an open file

## Optional parameters

None.

## Return value

An INT value greater or equal to zero or minus 1 if current position is end of file.

## See also

seek()

Varkon version 1.19E svn# 121M